using FastEndpoints;
using FluentValidation;
using Knots.DTO.Key;

namespace Knots.Validators.Key;

public class GetKeyDtoValidator : Validator<GetKeyDto>
{
    public GetKeyDtoValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty()
            .WithMessage("L'id est requis")
            .GreaterThan(0)
            .WithMessage("L'id doit être supérieur à 0");
    }
}